{
	"name": "plugin/nc-calc-server/query/storage-query/product_material-open.json",

	"table": [
		{
			"record_type": ["estimated"],
			"table": "product_material"
		}
	],
	"parameter": {
		"production_order_state_closed": "plugin/nc-calc-server/constant.json/production_order_state_closed",
		"subquery-": "SELECT DISTINCT wme.work__position_num_id FROM work_material_estimated wme INNER JOIN work_order wo ON wo.work__position_num_id = wme.work__position_num_id WHERE wo.state IN ('KU','AL')",
		"show_sql": true
	},
	"order": ["prma.product_id", ">", "prma.row_number", ">", "prma.material_id", ">"],
	"query": ["pro.production_order_state", "not in", "production_order_state_closed"],
	"query-": ["prma.product_id", "in", "subquery"]
}
